<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionFoldEntityToSlot Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d66/class_action_fold_entity_to_slot.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionFoldEntityToSlot Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionFoldEntityToSlot:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d6/d66/class_action_fold_entity_to_slot.png" usemap="#ActionFoldEntityToSlot_map" alt=""/>
  <map id="ActionFoldEntityToSlot_map" name="ActionFoldEntityToSlot_map">
<area href="../../d1/d91/class_action_single_use_base.html" alt="ActionSingleUseBase" shape="rect" coords="88,0,255,24"/>
<area href="../../d7/d84/class_action_fold_bandana_to_head.html" alt="ActionFoldBandanaToHead" shape="rect" coords="0,112,167,136"/>
<area href="../../dd/dee/class_action_fold_bandana_to_mask.html" alt="ActionFoldBandanaToMask" shape="rect" coords="177,112,344,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a89be0164c7cabc5edf3e10206cc3465f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d66/class_action_fold_entity_to_slot.html#a89be0164c7cabc5edf3e10206cc3465f">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a89be0164c7cabc5edf3e10206cc3465f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eec522541c084bd89055add29af5bf4"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d66/class_action_fold_entity_to_slot.html#a2eec522541c084bd89055add29af5bf4">HasTarget</a> ()</td></tr>
<tr class="separator:a2eec522541c084bd89055add29af5bf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a442db57b5fea8ae4a924a71102609992"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d66/class_action_fold_entity_to_slot.html#a442db57b5fea8ae4a924a71102609992">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a442db57b5fea8ae4a924a71102609992"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42faecfdda709e25725070da3f3e7fbb"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d66/class_action_fold_entity_to_slot.html#a42faecfdda709e25725070da3f3e7fbb">ActionConditionContinue</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a42faecfdda709e25725070da3f3e7fbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8131296d14a217db1fb9ce271596ceb9"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d66/class_action_fold_entity_to_slot.html#a8131296d14a217db1fb9ce271596ceb9">OnExecuteClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a8131296d14a217db1fb9ce271596ceb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbb7bbeed331bbff98e67719f6c98d60"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d66/class_action_fold_entity_to_slot.html#abbb7bbeed331bbff98e67719f6c98d60">OnExecuteServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:abbb7bbeed331bbff98e67719f6c98d60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7228396fc0b6845a49c9c308c1def00e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d66/class_action_fold_entity_to_slot.html#a7228396fc0b6845a49c9c308c1def00e">m_SlotID</a> = InventorySlots.INVALID</td></tr>
<tr class="separator:a7228396fc0b6845a49c9c308c1def00e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html#l00001">1</a> of file <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html">ActionFoldEntityToSlot.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a442db57b5fea8ae4a924a71102609992" name="a442db57b5fea8ae4a924a71102609992"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a442db57b5fea8ae4a924a71102609992">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionFoldEntityToSlot::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html#l00013">13</a> of file <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html">ActionFoldEntityToSlot.c</a>.</p>

</div>
</div>
<a id="a42faecfdda709e25725070da3f3e7fbb" name="a42faecfdda709e25725070da3f3e7fbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42faecfdda709e25725070da3f3e7fbb">&#9670;&#160;</a></span>ActionConditionContinue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionFoldEntityToSlot::ActionConditionContinue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html#l00021">21</a> of file <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html">ActionFoldEntityToSlot.c</a>.</p>

</div>
</div>
<a id="a89be0164c7cabc5edf3e10206cc3465f" name="a89be0164c7cabc5edf3e10206cc3465f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89be0164c7cabc5edf3e10206cc3465f">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionFoldEntityToSlot::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html#l00005">5</a> of file <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html">ActionFoldEntityToSlot.c</a>.</p>

</div>
</div>
<a id="a2eec522541c084bd89055add29af5bf4" name="a2eec522541c084bd89055add29af5bf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2eec522541c084bd89055add29af5bf4">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionFoldEntityToSlot::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html#l00011">11</a> of file <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html">ActionFoldEntityToSlot.c</a>.</p>

</div>
</div>
<a id="a8131296d14a217db1fb9ce271596ceb9" name="a8131296d14a217db1fb9ce271596ceb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8131296d14a217db1fb9ce271596ceb9">&#9670;&#160;</a></span>OnExecuteClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionFoldEntityToSlot::OnExecuteClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html#l00023">23</a> of file <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html">ActionFoldEntityToSlot.c</a>.</p>

</div>
</div>
<a id="abbb7bbeed331bbff98e67719f6c98d60" name="abbb7bbeed331bbff98e67719f6c98d60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbb7bbeed331bbff98e67719f6c98d60">&#9670;&#160;</a></span>OnExecuteServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionFoldEntityToSlot::OnExecuteServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html#l00028">28</a> of file <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html">ActionFoldEntityToSlot.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a7228396fc0b6845a49c9c308c1def00e" name="a7228396fc0b6845a49c9c308c1def00e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7228396fc0b6845a49c9c308c1def00e">&#9670;&#160;</a></span>m_SlotID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionFoldEntityToSlot::m_SlotID = InventorySlots.INVALID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html#l00003">3</a> of file <a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html">ActionFoldEntityToSlot.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/<a class="el" href="../../d2/d52/_action_fold_entity_to_slot_8c_source.html">ActionFoldEntityToSlot.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/d66/class_action_fold_entity_to_slot.html">ActionFoldEntityToSlot</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
